Bug 189299 - yumex fails b/c png not recognized
yumex fails b/c png not recognized
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-18 17:35 EDT by C. P. Price
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-20 06:27:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file (870 bytes, application/octet-stream)
2006-04-18 17:35 EDT, C. P. Price
no flags Details

  None (edit)
Description C. P. Price 2006-04-18 17:35:21 EDT
Description of problem: yumex freezes at initialization


Version-Release number of selected component (if applicable):
0.99.16

How reproducible:
always

Steps to Reproduce:
1. invoke yumex from line or menu
2.
3.
  
Actual results:
window1 opens (but frozen) and a bug window opens, telling of an unhandled
exception; claim is that image file format of an icon (of type png) is not
recognized

Expected results:
yumex initializes and i then do upgrades, etc.

Additional info:
successfully used yumex yesterday for upgrades; before invoking today, enabled
nightly yum upgrades (chkconfig yum on), but turning that back off made no
effect on this bug; i have a near identical fc5 install on my laptop and yumex
still works perfectly there; yumex rocks -- thanks for the coding
Comment 1 C. P. Price 2006-04-18 17:35:21 EDT
Created attachment 127953 [details]
log file
Comment 2 Tim Lauridsen 2006-04-19 02:48:23 EDT
look like /usr/share/pixmaps/yumex/yumex-icon.png is corrupted in some way.

Try to reinstall yumex.

yum remove yumex

yum install yumex

(as root)
Comment 3 C. P. Price 2006-04-19 12:27:42 EDT
did that ([un/re]-install yumex) before i reported the bug. also checked that
another app could look at yumex-icon.png. then converted it to gif, and
back-converted it to png, again, before reporting the bug. 
Comment 4 C. P. Price 2006-04-19 18:47:48 EDT
good news/bad news. good=i don't think that it's yumex. bad=it's something with
png. gimp is now telling me that it has no support for png (despite the fact
that it will both read and write png files). please kill this bug report. thanks.
Comment 5 Tim Lauridsen 2006-04-20 06:27:19 EDT
ok, i will close it.

Note You need to log in before you can comment on or make changes to this bug.